summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2017-09-23 07:55:10 +0200
committerHans de Graaff <graaff@gentoo.org>2017-09-23 07:55:10 +0200
commit5f148b8f495de1e8b41a18ddce626b1c7aec7c1b (patch)
treef9525c743f3f2efc54479ab292ea0d116e19dbc7 /dev-ruby/pry
parentsec-policy: drop arm keyword because utils arent keyworded (diff)
downloadgentoo-5f148b8f495de1e8b41a18ddce626b1c7aec7c1b.tar.gz
gentoo-5f148b8f495de1e8b41a18ddce626b1c7aec7c1b.tar.bz2
gentoo-5f148b8f495de1e8b41a18ddce626b1c7aec7c1b.zip
dev-ruby/pry: add 0.11.0
Package-Manager: Portage-2.3.8, Repoman-2.3.2
Diffstat (limited to 'dev-ruby/pry')
-rw-r--r--dev-ruby/pry/Manifest1
-rw-r--r--dev-ruby/pry/pry-0.11.0.ebuild45
2 files changed, 46 insertions, 0 deletions
diff --git a/dev-ruby/pry/Manifest b/dev-ruby/pry/Manifest
index e2f17bb4ec3..2b615a8dc35 100644
--- a/dev-ruby/pry/Manifest
+++ b/dev-ruby/pry/Manifest
@@ -1 +1,2 @@
DIST pry-0.10.4.tar.gz 204296 SHA256 8c4afb4e2c3fea9ed8b9f17323b5a670db08f9995f2031fe52b3c0c4b41dcd67 SHA512 0c455945125b210efce7dcde3d7bfbec5d03687847910084c0befd466191ac34446c62a884c6424cd6760d573d1de490de4dacd97b31c87553e32787d99a3687 WHIRLPOOL b402150a090fa9370753e6c9e7cde718e05cfa78b25b4d713c3667aadd466f4238d0a2c86aec36c8619cd0344aaa84d000b729dc25a3dff2268238f01a429c8c
+DIST pry-0.11.0.tar.gz 223501 SHA256 fd1d79ac50dbadfbfbc4721510922bd6cb830b4ead70f3abb29b7979cc31db77 SHA512 1f252e6707f57d24ff7aca9c1437f1c5f38d3a203f3439bfd84f28fe4bb9f8063d3d16e2920b30a825554f01c4fb3f24f6221693de19f675cba4fc3df9b56254 WHIRLPOOL eff34eb9eef108333374b54cd7bb5a788bca06bc55f2c540f823720b728134435dc9c38056912e00dcc3327dfeb8b6556ad3c99b7ca081d7585b4a277488a76f
diff --git a/dev-ruby/pry/pry-0.11.0.ebuild b/dev-ruby/pry/pry-0.11.0.ebuild
new file mode 100644
index 00000000000..96c4d9fc88d
--- /dev/null
+++ b/dev-ruby/pry/pry-0.11.0.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+USE_RUBY="ruby22 ruby23 ruby24"
+
+RUBY_FAKEGEM_RECIPE_DOC="yard"
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+RUBY_FAKEGEM_EXTRADOC="README.md CHANGELOG.md"
+RUBY_FAKEGEM_GEMSPEC=${PN}.gemspec
+
+inherit ruby-fakegem
+
+DESCRIPTION="Pry is a powerful alternative to the standard IRB shell for Ruby"
+HOMEPAGE="https://github.com/pry/pry/wiki"
+SRC_URI="https://github.com/pry/pry/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+IUSE=""
+SLOT="ruby19"
+
+LICENSE="MIT"
+KEYWORDS="~amd64 ~arm ~arm64 ~ia64 ~ppc64 ~x86"
+
+ruby_add_rdepend "
+ >=dev-ruby/coderay-1.1.0 =dev-ruby/coderay-1.1*
+ >=dev-ruby/method_source-0.8.1 =dev-ruby/method_source-0.8*"
+
+ruby_add_bdepend "
+ test? (
+ >=dev-ruby/open4-1.3
+ >=dev-ruby/rake-0.9
+ >=dev-ruby/mocha-1.0
+ )"
+
+all_ruby_prepare() {
+ # Avoid unneeded dependency on git.
+ # Loosen coderay dependency.
+ sed -e '/git ls-files/d' \
+ -e '/coderay/s/~>/>=/' \
+ -e '/bundler/d' \
+ -i ${RUBY_FAKEGEM_GEMSPEC} || die
+ sed -e '/[Bb]undler/d' -e "1irequire 'mocha/api'\ " -i spec/helper.rb || die
+ # Out of date tests
+ rm spec/commands/gist_spec.rb || die
+}